import javax.swing.*;
import java.awt.*;

public class ChatRoomGUI extends JFrame {

    private final String WINDOWS_TITLE = "AUT Chat Room";
    private final int WIDTH = 500, HEIGHT = 500;
    private final int X = 100, Y = 100;
    private ParticipantsArea participantsArea = new ParticipantsArea();
    private ChatArea chatBox = new ChatArea();
    private String username;
    private MessageArea messageArea = new MessageArea(this);

    public ChatRoomGUI() {
        super();
        this.setTitle(WINDOWS_TITLE);
        this.setLayout(new BorderLayout());
        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        this.setSize(WIDTH, HEIGHT);
        this.setLocation(X, Y);
        this.setVisible(true);

        this.add(new JScrollPane(chatBox), BorderLayout.CENTER);

        this.add(messageArea, BorderLayout.SOUTH);
        this.setVisible(true);

        this.add(participantsArea, BorderLayout.WEST);

        this.setVisible(true);
    }

    public void addParticipant(String name) {
        this.participantsArea.addNewParticipant(name);
        this.username = name;
    }

    public void addMessage(String text) {
        this.chatBox.addMessage(username, " " + text + "\n");
        this.messageArea.reset();
    }


}
